---
lang: en
title: 'API docs: repository.transaction'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.transaction.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Transaction](./repository.transaction.md)

## Transaction interface

Local transaction

<b>Signature:</b>

```typescript
export interface Transaction 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [id](./repository.transaction.id.md) | <code>string</code> | The transaction Identifier |

## Methods

|  Method | Description |
|  --- | --- |
|  [commit()](./repository.transaction.commit.md) | Commit the transaction |
|  [rollback()](./repository.transaction.rollback.md) | Rollback the transaction |


